"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
var vue = require("vue");
var vue3Oop = require("vue3-oop");
const defaultLabels = {
  matchType: "Match Type",
  matchTypes: [{
    id: "all",
    label: "All"
  }, {
    id: "any",
    label: "Any"
  }],
  addRule: "Add Rule",
  removeRule: "&times;",
  addGroup: "Add Group",
  removeGroup: "&times;",
  textInputPlaceholder: "value"
};
class QueryBuilder extends vue3Oop.VueComponent {
  render() {
    return vue.createVNode("div", null, [vue.createTextVNode("querybuilder")]);
  }
}
QueryBuilder.defaultProps = {
  rules: {
    type: Array
  },
  labels: {
    type: Object,
    default() {
      return defaultLabels;
    }
  }
};
exports.QueryBuilder = QueryBuilder;
//# sourceMappingURL=vue3-query-builder.cjs.js.map
